# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/leds/leds-group-multicolor.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Multi-color LED built with monochromatic LEDs

maintainers:
  - Jean-Jacques Hiblot <jjhiblot@traphandler.com>

description: |
  This driver combines several monochromatic LEDs into one multi-color
  LED using the multicolor LED class.

properties:
  compatible:
    const: leds-group-multicolor

  leds: true

required:
  - leds

allOf:
  - $ref: leds-class-multicolor.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/leds/common.h>

    monochromatic-leds {
        compatible = "gpio-leds";

        led0: led-0 {
            gpios = <&mcu_pio 0 GPIO_ACTIVE_LOW>;
            color = <LED_COLOR_ID_RED>;
        };

        led1: led-1 {
            gpios = <&mcu_pio 1 GPIO_ACTIVE_HIGH>;
            color = <LED_COLOR_ID_GREEN>;
        };

        led2: led-2 {
            gpios = <&mcu_pio 2 GPIO_ACTIVE_HIGH>;
            color = <LED_COLOR_ID_BLUE>;
        };
    };

    multi-led {
        compatible = "leds-group-multicolor";
        color = <LED_COLOR_ID_RGB>;
        function = LED_FUNCTION_INDICATOR;
        leds = <&led0>, <&led1>, <&led2>;
    };

...
